AnsweredAssumed Answered

The latest ST_GEOMETRY and dependent libraries need to be copied to the correct softw

Question asked by mousaem on Feb 18, 2014
Latest reply on Feb 22, 2014 by mousaem
i am upgrading my geodatabase instance from 9.3.1 to 10.1

my environment:
Oracle 11gR2 (11.2.0.3)
ArcSDE 9.3.1 SP2
IBM AIX 6.1

i want to enable st_geometry on my instance, i have followed esri procedure, however every time i run the pre-requisite upgrade tool i still face the warning message "The latest ST_GEOMETRY and dependent libraries need to be copied to the correct software location"

i have used the geoprocessing tool "create spatial type", and used the "sys" user (which is by the way not a good security practice to access a 'sys' user from the client, which requires the creation of a password file,...etc)

the tool ran for 3 seconds and stated "successful" message, however it gave me a warning that a "geodatabase instance already exists".

i have copied the st_shapelibrary.so from $SDEHOME/lib to under my $ORACLE_HOME/lib
also i have updated the external procedure file under $ORACLE_HOME/hs/admin
with a directory referencing the $ORACLE_HOME/lib/st_shapelibarary

is this the right path where should i place the library ?

or should i place it locally on my machine where ArcGIS desktop ? if this is the case.....can someone please provide the directory?

Thanks,

Outcomes